## pkgbinarymangler 31

=== debian/changelog ===
pkgbinarymangler (31) edgy; urgency=low

  * Add q-funk@iki.fi to ignore_emails, per request of Martin-Éric Racine

 -- Adam Conrad <adconrad@ubuntu.com>  Wed,  4 Oct 2006 21:09:20 +1000

pkgbinarymangler (30) edgy; urgency=low

  * Use Original-Maintainer instead of X-Original-Maintainer as if we
    had specified XB-Original-Maintainer in a policy-compliant fashion.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Sep 2006 00:05:42 +1000

pkgbinarymangler (29) edgy; urgency=low

  * pkg{maintainermangler,striptranslations}.1: Document NO_PKG_MANGLE
    environment variable. (one part of LP#40735)
  * pkgmaintainermangler.1: Fix program name in AUTHOR section.
  * pkgstriptranslations: Do not strip backports. Closes: LP#58221

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Sep 2006 14:22:33 +0200

pkgbinarymangler (28) edgy; urgency=low

  * Rename source package to pkgbinarymangler, providing a transitional
    upgrade path from pkgstriptranslations to the new pkgbinarymangler.
  * New binary package pkgbinarymangler now provides two distinct scripts,
    pkgstriptranslations, which does the same thing it always did, and
    pkgmaintainermangler, which is used to mangle maintainer fields.
  * Migrate /etc/pkgstriptranslations conffiles to /etc/pkgbinarymangler.
  * Migrate dpkg diversion from pkgstriptranslations to pkgbinarymangler.
  * Update debian/copyright to add myself to the list of authors, and
    update debian/control to add myself to the list of Uploaders.
  * Re-factor some common code into /usr/share/pkgbinarymangler/common.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed,  6 Sep 2006 22:27:59 +1000

pkgstriptranslations (27) dapper; urgency=low

  * If NO_PKG_MANGLE is set and non-empty, don't run pkgstriptranslations
    for the current dpkg-deb invocation, but print a warning so we know.
  * Clean up error handling for when /usr/bin/pkgstriptranslations doesn't
    exist, so we actually get a meaningful error and failure, not silence.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri,  7 Apr 2006 19:05:21 +1000

pkgstriptranslations (26) dapper; urgency=low

  * Check for empty PO or POT files and fail the build if any are detected
    (the translation importer doesn't like them, and in general this is likely
    to be a bug). Closes: LP#33674
  * dpkg-deb: 
    - 'exec -a' is a bashism, so fix the hashbang line.
    - Activate set -e to actually fail the package build if
      pkgstriptranslations fails.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu,  6 Apr 2006 13:28:31 +0200

pkgstriptranslations (25) dapper; urgency=low

  * Blacklist language-selector, so people can select their language
    in their own language (I suppose this does make some sense...)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 31 Mar 2006 21:13:06 +1100

pkgstriptranslations (24) dapper; urgency=low

  * Fix package name for *.sdf stripping: openoffice.org2 -> openoffice.org

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 14 Mar 2006 18:32:52 +0100

pkgstriptranslations (23) dapper; urgency=low

  * Pull the trigger for Soyuz-Rosetta integration: Call dpkg-distaddfile to
    include the translation tarball into the .changes file.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Feb 2006 22:56:56 +0100

pkgstriptranslations (22) dapper; urgency=low

  * Strip the epoch from the version number, so that it doesn't appear in the
    translation tarball file name.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Feb 2006 15:55:10 +0100

pkgstriptranslations (21) dapper; urgency=low

  * pkgstriptranslations.blacklist: Remove passwd and base-config, with the
    new single-stage installer they can be stripped again.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 23 Jan 2006 11:25:49 +0100

pkgstriptranslations (20) dapper; urgency=low

  * Install a dpkg-deb wrapper which calls pkgstriptranslations before
    calling dpkg-deb, so we can remove our hideous hack from debhelper.
  * Fix manpage to note the correct arch-in-name tarball naming scheme.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 26 Oct 2005 04:13:45 +1000

pkgstriptranslations (19) dapper; urgency=low

  * Previous upload was too quick; deactivate dpkg-distaddfile until we switch
    to launchpad.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 25 Oct 2005 07:19:21 +0200

pkgstriptranslations (18) dapper; urgency=low

  * Call dpkg-distaddfile to include the translation tarball into the .changes
    file.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 19 Oct 2005 13:40:27 +0200

pkgstriptranslations (17) breezy; urgency=low

  * Blacklist apt.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  5 Oct 2005 14:36:06 +0200

pkgstriptranslations (16) breezy; urgency=low

  * Blacklist debconf-i18n.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed,  7 Sep 2005 23:05:43 +0200

pkgstriptranslations (15) breezy; urgency=low

  * Append the architecture to the tarball so that we can export tarballs from
    all architectures and later sort out the invalid ones. Until now, the
    latest tarball always won, which overwrote good tarballs with broken ones
    sometimes.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 26 Aug 2005 16:01:06 +0200

pkgstriptranslations (14) breezy; urgency=low

  * If we are stripping the openoffice.org2 source package, save debian/*.sdf
    for later merging of updated translations.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Aug 2005 18:01:48 +0200

pkgstriptranslations (13) breezy; urgency=low

  * pkgstriptranslations.blacklist: Remove kde-i18n-*, KDE translations will
    move into language-pack-kde-<lang> (LanguagePackRoadmap).

 -- Martin Pitt <mpitt@debian.org>  Thu, 16 Jun 2005 12:08:29 +0200

pkgstriptranslations (12) breezy; urgency=low

  * Improved debugging messages to ease future bug fixing.
  * Fixed preservation of old tarball contents.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 13 Jun 2005 12:43:03 +0200

pkgstriptranslations (11) breezy; urgency=low



## pkgbinarymangler 75~common1hedley1

=== test/icecream/Makefile ===
default:

install:
	# install mo files
	for DOMAIN in vanilla chocolate; do \
	    for f in po-$$DOMAIN/*.po; do \
	        D=$$DESTDIR/usr/share/locale/`basename $$f .po`/LC_MESSAGES/; \
	        install -d -m 755 $$D; \
	        msgfmt -o $$D/$$DOMAIN.mo $$f; \
	    done; \
	done

.PHONY: clean

## pkgbinarymangler 31.3

=== debian/changelog ===
pkgbinarymangler (31.3) edgy-proposed; urgency=low

  * dpkg-deb: disable pkgbinarymangler if archive Purpose is PPA.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Dec 2007 19:30:28 -0700

pkgbinarymangler (31.2) edgy-proposed; urgency=low

  * dpkg-deb: s/commercial/partner/g.
  (LP: #133822)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 03 Sep 2007 10:28:40 +0200

pkgbinarymangler (31.1) edgy-proposed; urgency=low

  * dpkg-deb: Do not do anything for commercial packages. (LP: #133822)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Aug 2007 12:44:03 +0200

=== debian/control ===
Source: pkgbinarymangler
Section: devel
Priority: extra
Build-Depends-Indep: debhelper (>> 4)
Maintainer: Martin Pitt <martin.pitt@canonical.com>
Uploaders: Adam Conrad <adconrad@canonical.com>
Standards-Version: 3.6.1

Package: pkgstriptranslations
Architecture: all
Pre-Depends: pkgbinarymangler
Description: transitional package to upgrade to pkgbinarymangler
 This is a transitional package to move people to pkgbinarymangler,
 which contains the functionality of pkgstriptranslations and more.

Package: pkgbinarymangler
Architecture: all
Replaces: pkgstriptranslations (<< 28)
Description: strips translations and alters maintainers during build
 pkgbinarymangler consists of a dpkg-deb wrapper that calls the following
 helper applications while building a debian binary package:
 .
 pkgstriptranslations removes all *.mo files in /usr/share/locale from
 all package build directories. It is used to strip off gettext translations
 from generated binary packages, because translations are already shipped
 in the language packs.  Its behaviour (which is disabled by default) is
 configured in /etc/pkgbinarymangler/striptranslations.conf.
 .
 pkgmaintainermangler adjusts the maintainer field in binary packages to
 match a set of rules (including whitelists, mass renames by component,
 maintainer name, etc) defined in the pkgmaintainermangler configuration
 file at /etc/pkgbinarymangler/maintainermangler.conf.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

clean:
	dh_testdir
	dh_testroot
	dh_clean 

binary-indep: install
	dh_testdir
	dh_testroot
	dh_clean -k 

	install -d debian/pkgbinarymangler/usr/bin
	install -m 755 dpkg-deb debian/pkgbinarymangler/usr/bin/
	install -m 755 pkgstriptranslations debian/pkgbinarymangler/usr/bin/
	install -m 755 pkgmaintainermangler debian/pkgbinarymangler/usr/bin/

	install -d debian/pkgbinarymangler/usr/share/pkgbinarymangler
	install -m 644 common debian/pkgbinarymangler/usr/share/pkgbinarymangler/

	install -d debian/pkgbinarymangler/etc/pkgbinarymangler
	install -m 644 striptranslations.conf debian/pkgbinarymangler/etc/pkgbinarymangler/
	install -m 644 striptranslations.blacklist debian/pkgbinarymangler/etc/pkgbinarymangler/
	install -m 644 maintainermangler.conf debian/pkgbinarymangler/etc/pkgbinarymangler/
	install -m 644 maintainermangler.overrides debian/pkgbinarymangler/etc/pkgbinarymangler/

	dh_installchangelogs 
	dh_installdocs
	dh_installman -ppkgbinarymangler pkgstriptranslations.1 pkgmaintainermangler.1
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## pkgbinarymangler 39

=== debian/changelog ===
pkgbinarymangler (39) feisty; urgency=low

  * pkgstriptranslations: Collect .ts files (KDE XML translation source
    format). (LP: #68959)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 27 Mar 2007 20:24:16 +0200

pkgbinarymangler (38) feisty; urgency=low

  * pkgmaintainermangler: Never abort if Original-Maintainer is already
    present, even if Maintainer: does not have an Ubuntuish address.
    (LP: #91086)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Mar 2007 12:06:54 +0100

pkgbinarymangler (37) feisty; urgency=low

  * maintainermangler.overrides: Don't mangle @kubuntu.org domain.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri,  9 Mar 2007 14:52:34 +0100

pkgbinarymangler (36) feisty; urgency=low

  * maintainermangler.overrides: Use u-devel-discuss@ as default contact for
    main/restricted.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 19 Feb 2007 13:16:36 +0100

pkgbinarymangler (35) feisty; urgency=low

  * pkgstriptranslations: Do not complain about empty .po/.pot files in hidden
    directories (such as quilt's ./.pc). Fixes the shadow FTBFS.

 -- Martin Pitt <mpitt@debian.org>  Tue, 19 Dec 2006 19:32:58 +0100

pkgbinarymangler (34) feisty; urgency=low

  The "Make doko love me again" release.

  * pkgstriptranslations:
    - Since we can now afford losing *.mo files, only create the translation
      tarball once, and don't update it if it already exists. This massively
      speeds up the process especially for large packages like openoffice.org.
    - Various small optimizations.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 12 Dec 2006 15:57:05 +0100

pkgbinarymangler (33) feisty; urgency=low

  * Add cjwatson@debian.org to ignore_emails, per request of Colin Watson.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri,  8 Dec 2006 23:43:30 +1100

pkgbinarymangler (32) feisty; urgency=low

  * Add ubuntu.com.au to the ignore_domains list, per William Grant.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri,  8 Dec 2006 23:32:24 +1100

## pkgbinarymangler 39.3

=== debian/changelog ===
pkgbinarymangler (39.3) feisty-proposed; urgency=low

  * dpkg-deb: disable pkgbinarymangler if archive Purpose is PPA.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Dec 2007 19:32:20 -0700

pkgbinarymangler (39.2) feisty-proposed; urgency=low
  
  * dpkg-deb: s/commercial/partner/g.
  (LP: #133822)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 03 Sep 2007 10:28:40 +0200

pkgbinarymangler (39.1) feisty-proposed; urgency=low

  * dpkg-deb: Do not do anything for commercial packages. (LP: #133822)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 21 Aug 2007 12:35:31 +0200

## pkgbinarymangler 45

=== debian/changelog ===
pkgbinarymangler (45) gutsy; urgency=low

  * maintainermangler.overrides: Do not mangle Maintainer: for Patrick
    Matthäi. (LP: #134694)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 13 Sep 2007 22:39:30 +0200

pkgbinarymangler (44) gutsy; urgency=low

  * dpkg-deb: s/commercial/partner/g.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 03 Sep 2007 09:54:25 +0200

pkgbinarymangler (43) gutsy; urgency=low

  * dpkg-deb: Do not do anything for commercial packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 20 Aug 2007 11:37:30 +0200

pkgbinarymangler (42) gutsy; urgency=low

  * debian/rules: Build with NO_PKG_MANGLE to pull ourselves out of the FTBFS
    swamp version 40 has created.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Aug 2007 19:46:59 +0200

pkgbinarymangler (41) gutsy; urgency=low

  * dpkg-deb: Use the original arguments for calling pkgmaintainermangler,
    too.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 08 Aug 2007 19:18:20 +0200

pkgbinarymangler (40) gutsy; urgency=low

  * Fix the dpkg-deb wrapper to deal with being fed other arguments
    like, for instance, -Zbzip2 before "--build" or "-b" is supplied.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed,  8 Aug 2007 20:41:40 +1000

## pkgbinarymangler 45.1

=== debian/changelog ===
pkgbinarymangler (45.1) gutsy-proposed; urgency=low

  * dpkg-deb: disable pkgbinarymangler if archive Purpose is PPA.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 20 Dec 2007 19:34:01 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pkgbinarymangler
 Section: devel
 Priority: extra
-Build-Depends-Indep: debhelper (>> 4)
+Build-Depends: debhelper (>> 4)
 Maintainer: Martin Pitt <martin.pitt@canonical.com>
 Uploaders: Adam Conrad <adconrad@canonical.com>
-Standards-Version: 3.6.1
+Standards-Version: 3.7.2
 
 Package: pkgstriptranslations
 Architecture: all

## pkgbinarymangler 50

=== debian/changelog ===
pkgbinarymangler (50) hardy; urgency=low

  * pkgstriptranslations: Copy debian/lp-export-xpis/, for finally getting LP
    translations love for Mozilla-ish packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Mar 2008 12:18:04 +0100

pkgbinarymangler (49) hardy; urgency=low

  * pkgmaintainermangler: Do not fail the build if DEBIAN/control does not
    exist. This apparently happens under some conditions, like for
    openoffice.org on powerpc. (LP: #205923)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 26 Mar 2008 16:46:13 +0100

pkgbinarymangler (48) hardy; urgency=low

  * striptranslations.conf: Do not strip packages in restricted. Putting the
    translations into language packs could possibly create a licensing
    conflict. We do not have any in restricted right now, but we want to be
    safe.
  * Bump Standards-Version to 3.7.3 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 28 Feb 2008 17:27:14 +0100

pkgbinarymangler (47) hardy; urgency=low

  * dpkg-deb: Also disable pkgbinarymangler if archive Purpose is PPA.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 18 Dec 2007 15:58:29 -0700

pkgbinarymangler (46) hardy; urgency=low

  * dpkg-deb: Don't act when doing archive rebuild tests.  This change
    requires a modified sbuild that writes Suite to /CurrentlyBuilding

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Dec 2007 15:04:29 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Build-Depends: debhelper (>> 4)
 Maintainer: Martin Pitt <martin.pitt@canonical.com>
 Uploaders: Adam Conrad <adconrad@canonical.com>
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 
 Package: pkgstriptranslations
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE=1
+# do not mangle ourselves, in case the previous version caused FTBFS
+export NO_PKG_MANGLE=1
 
 clean:
 	dh_testdir

## pkgbinarymangler 57

=== debian/changelog ===
pkgbinarymangler (57) jaunty; urgency=low

  * pkgstriptranslations: When grabbing XPIs from Mozilla-ish packages, ensure
    that the /source/ directory exists in the temporary directory. Fixes
    xulrunner FTBFS.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 27 Mar 2009 16:17:34 +0100

pkgbinarymangler (56) jaunty; urgency=low

  * pkgstriptranslations: Remove translations from .desktop files if they have
    a gettext domain. Not every package with .desktop files uses cdbs with
    langpack.mk (where this stripping has happened so far), and we are now
    preferring the language pack translations over the static upstream
    translations in .desktop files. (LP: #348225)
  * debian/copyright: Update GPL stanza (previously had old FSF address),
    thanks lintian.
  * debian/control: Bump Standards-Version (no changes required).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 25 Mar 2009 10:28:45 +0100

pkgbinarymangler (55) jaunty; urgency=low

  * pkgsanitychecks: Reject packages which place files in /usr/local.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Mar 2009 11:59:35 +0100

pkgbinarymangler (54) jaunty; urgency=low

  * pkgsanitychecks: Reject packages which place public python modules for 2.6
    or newer in /usr/local/lib/python{2.[67],3.?} instead of /usr/lib.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Feb 2009 13:25:13 +0100

pkgbinarymangler (53) jaunty; urgency=low

  * common: Do not FTBFS if debian/control does not exist. This is *very*
    uncommon, but it happens while building with pbuilder (LP: #315101).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Tue, 17 Feb 2009 23:01:40 +0100

pkgbinarymangler (52) jaunty; urgency=low

  * pkgstriptranslations: Use a lockfile to ensure that only one
    instance runs at a time. Some packages, such as glib2.0, define
    MAKEFLAGS=-j if "$DEB_BUILD_OPTIONS=parallel" is set (apparently
    at the Ubuntu buildds); this makes debian/rules, and in turn
    pkgstriptranslations run in parallel as well, which produced
    corrupted translations.tar.gz tarballs.
  * Add lockfile-progs dependency.
  * Drop long-obsolete pkgstriptranslations transitional package.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 09 Feb 2009 09:49:17 +0100

pkgbinarymangler (51) jaunty; urgency=low

  * New binary pkgsanitychecks.
    - Reject packages which place public python modules for 2.6 or newer in
      /usr/lib/python{2.[67],3.?}/site-packages instead of dist-packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Jan 2009 11:18:27 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,11 @@
 Build-Depends: debhelper (>> 4)
 Maintainer: Martin Pitt <martin.pitt@canonical.com>
 Uploaders: Adam Conrad <adconrad@canonical.com>
-Standards-Version: 3.7.3
-
-Package: pkgstriptranslations
-Architecture: all
-Pre-Depends: pkgbinarymangler
-Description: transitional package to upgrade to pkgbinarymangler
- This is a transitional package to move people to pkgbinarymangler,
- which contains the functionality of pkgstriptranslations and more.
+Standards-Version: 3.8.1
 
 Package: pkgbinarymangler
 Architecture: all
+Depends: lockfile-progs
 Replaces: pkgstriptranslations (<< 28)
 Description: strips translations and alters maintainers during build
  pkgbinarymangler consists of a dpkg-deb wrapper that calls the following

## pkgbinarymangler 63

=== debian/changelog ===
pkgbinarymangler (63) karmic; urgency=low

  * pkgstriptranslations:
    - Use # instead of @ for the sed delimiter as @ can appear in locale
      names (lp: #434544)

 -- Michael Bienia <geser@ubuntu.com>  Tue, 22 Sep 2009 11:06:59 +0200

pkgbinarymangler (62) karmic; urgency=low

  * pkgstriptranslations: 
    - Also store /usr/share/omf/ files in static translation tarball.
    - Remove GNOME help translation files now, and replace them with symlinks
      to /usr/share/omf-langpack/* and usr/share/gnome/help-langpack/*.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 30 Aug 2009 12:39:06 +0200

pkgbinarymangler (61) karmic; urgency=low

  * pkgstriptranslations: Extract GNOME help translations into a new tarball
    and add them to the upload as raw-translations-static component. Do not
    strip the files from the .debs just yet, since the upload/download
    infrastructure in Soyuz still needs to be tested, and the language pack
    integration bits need to be written. See LP #123020
  * debian/compat, debian/control: Bump to debhelper compat 5, 4 is
    deprecated.
  * debian/control: Bump Standards-Version to 3.8.2.
  * debian/control: Drop long-obsolete Replaces.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 03 Aug 2009 12:59:52 +0100

pkgbinarymangler (60) karmic; urgency=low

  * pkgbinarymangler: Update package's md5sums list for modified .desktop
    files. (LP: #392149)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 25 Jun 2009 17:55:59 +0200

pkgbinarymangler (59) karmic; urgency=low

  * Modify Maintainer field overriding to comply with Technical Board
    resolution of 2009-05-05, with a single override for all components
    (https://lists.ubuntu.com/archives/ubuntu-devel/2009-May/028213.html).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 09 Jun 2009 11:15:13 +0100

pkgbinarymangler (58) karmic; urgency=low

  * pkgsanitychecks: Skip udebs, since our checks aren't very interesting
    for them (sysadmin with local changes to the installer environment that
    they want preserved ...?) and there's one udeb (rootskel-gtk) that
    currently ships a /usr/local/etc symlink.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 06 May 2009 10:07:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: pkgbinarymangler
 Section: devel
 Priority: extra
-Build-Depends: debhelper (>> 4)
+Build-Depends: debhelper (>> 5)
 Maintainer: Martin Pitt <martin.pitt@canonical.com>
 Uploaders: Adam Conrad <adconrad@canonical.com>
-Standards-Version: 3.8.1
+Standards-Version: 3.8.2
 
 Package: pkgbinarymangler
 Architecture: all
 Depends: lockfile-progs
-Replaces: pkgstriptranslations (<< 28)
 Description: strips translations and alters maintainers during build
  pkgbinarymangler consists of a dpkg-deb wrapper that calls the following
  helper applications while building a debian binary package:

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	install -m 755 dpkg-deb debian/pkgbinarymangler/usr/bin/
 	install -m 755 pkgstriptranslations debian/pkgbinarymangler/usr/bin/
 	install -m 755 pkgmaintainermangler debian/pkgbinarymangler/usr/bin/
+	install -m 755 pkgsanitychecks debian/pkgbinarymangler/usr/bin/
 
 	install -d debian/pkgbinarymangler/usr/share/pkgbinarymangler
 	install -m 644 common debian/pkgbinarymangler/usr/share/pkgbinarymangler/
@@ -27,10 +28,11 @@
 	install -m 644 striptranslations.blacklist debian/pkgbinarymangler/etc/pkgbinarymangler/
 	install -m 644 maintainermangler.conf debian/pkgbinarymangler/etc/pkgbinarymangler/
 	install -m 644 maintainermangler.overrides debian/pkgbinarymangler/etc/pkgbinarymangler/
+	install -m 644 sanitychecks.conf debian/pkgbinarymangler/etc/pkgbinarymangler/
 
 	dh_installchangelogs 
 	dh_installdocs
-	dh_installman -ppkgbinarymangler pkgstriptranslations.1 pkgmaintainermangler.1
+	dh_installman -ppkgbinarymangler pkgstriptranslations.1 pkgmaintainermangler.1 pkgsanitychecks.1
 	dh_compress
 	dh_fixperms
 	dh_installdeb

## pkgbinarymangler 69

=== debian/changelog ===
pkgbinarymangler (69) lucid; urgency=low

  * pkgstriptranslations: Work on all binary packages, not just the first one.
    If a static tarball already exists, unpack it into our work directory, so
    that we merge the GNOME help files of all binary packages. (LP: #457027)
  * debian/control: Bump Standards-Version to 3.8.4 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Apr 2010 08:32:14 +0200

pkgbinarymangler (68) lucid; urgency=low

  * Looks like a .bzrignore in the bzr branch made a few useful files disappear
    in the last upload. Re-upload the change manually basing on version 66.

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 18 Jan 2010 20:53:18 -0500

pkgbinarymangler (67) lucid; urgency=low

  * Add ldm to the striptranslations blacklist.
    (Only installed in a chroot with no langpack but translation wanted)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 18 Jan 2010 17:28:38 -0500

pkgbinarymangler (66) lucid; urgency=low

  * Add Vcs-Bzr header; this is now in Bzr at
    lp:~ubuntu-core-dev/pkgbinarymangler/ubuntu.
  * Install conffiles, binaries, and data file with dh_install.
  * List man pages in debian/pkgbinarymangler.manpages instead of the
    dh_installman command-line.
  * Switch to dh in rules; bump debhelper build-dep to >= 7.
  * Make maintainer scripts slightly more robust.
  * common: skip tests on /CurrentlyBuilding if PKG_IGNORE_CURRENTLY_BUILDING
    is set to 1; this is particularly useful when a package builds launches an
    embedded package build, such as the testsuite of pkg-create-dbgsym.
    Ideally, we'd have a nicer way to sanity check the same information.
  * Bump up Standards-Version to 3.8.3.
  * Add ${misc:Depends}.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sat, 16 Jan 2010 13:25:18 +0100

pkgbinarymangler (65) lucid; urgency=low

  * Add xkb-data-i18n to the striptranslations blacklist.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 11 Jan 2010 11:35:06 +0000

pkgbinarymangler (64) lucid; urgency=low

  * pkgstriptranslations: Do not copy .pc/* into the translation tarball.
    (LP: #410658)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 15 Nov 2009 05:52:17 -0600

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: pkgbinarymangler
 Section: devel
 Priority: extra
-Build-Depends: debhelper (>> 5)
+Build-Depends: debhelper (>= 7)
 Maintainer: Martin Pitt <martin.pitt@canonical.com>
 Uploaders: Adam Conrad <adconrad@canonical.com>
-Standards-Version: 3.8.2
+Standards-Version: 3.8.4
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/pkgbinarymangler/ubuntu
 
 Package: pkgbinarymangler
 Architecture: all
-Depends: lockfile-progs
+Depends: ${misc:Depends},
+         lockfile-progs
 Description: strips translations and alters maintainers during build
  pkgbinarymangler consists of a dpkg-deb wrapper that calls the following
  helper applications while building a debian binary package:

=== debian/rules ===
#!/usr/bin/make -f

# do not mangle ourselves, in case the previous version caused FTBFS
export NO_PKG_MANGLE=1

%:
	dh $*

## pkgbinarymangler 70~lucid2

=== debian/changelog ===
pkgbinarymangler (70~lucid2) lucid-backports; urgency=low

  * Manual Lucid backport, the automated one failed to upload. No source
    changes. (LP: #603480)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Jul 2010 07:54:45 +0200

pkgbinarymangler (70) maverick; urgency=low

  * Move "PPA" check from dpkg-deb to pkgmaintainermangler and
    pkgstriptranslations. We want to call pkgsanitychecks for PPA builds as
    well, and also control behaviour for PPAs individually for each mangler.
  * pkgstriptranslations: Run if we are building in an OEM PPA. If the built
    package is in Ubuntu main, strip translations from it. However, introduce
    a blacklist of OEM projects (oem_blacklist in striptranslations.conf)
    which are close or past release, to not inflict this rather intrusive
    change on them.
  * debian/control: Update Maintainer field from myself to Ubuntu Developers.
  * Add debian/source/format: 3.0 (native).
  * debian/control: Bump Standards-Version to 3.9.0.
  * Apply a consistent indentation to all source files (4 spaces, expand
    tabs).
  * dpkg-deb: Replace hardcoded paths with "which", to allow local testing.
  * Replace hardcoded "/CurrentlyBuilding" path with a $BUILDINFO variable set
    in "common", to allow local testing.
  * Add test/icecream: Test source package building two binary packages
    "vanilla" and "chocolate" with two po/mo files each.
  * Allow changing the path of "common" with $PKGBINARYMANGLER_COMMON_PATH.
  * Allow changing the configuration file directory path with
    $PKGBINARYMANGLER_CONF_DIR.
  * pkgmaintainermangler: Allow changing the path to the override file with
    $PKMAINTAINERGMANGLER_OVERRIDES.
  * Add test/run: Test suite for checking the scripts/config files in the
    local build tree in a sandbox on the "icecream" test package. Cover all
    current scenarios: main/universe/PPA/OEM/NO_PKG_MANGLE/partner/local/no
    mangler.
  * debian/rules: Run tests during build, and have a failed test suite fail
    the build. Add python and fakeroot build dependencies for this.
  * Add debian/pkgbinarymangler.lintian-overrides: We divert "dpkg-deb", no
    need to ship a manpage for it.
  * striptranslations.blacklist: Drop language-selector. (LP: #570240)
  * test/run: Add test case for updating of Installed-Size. This reproduces
    LP #451764.
  * pkgstriptranslations: Adapt Installed-Size: header in control file if we
    stripped any files. (LP: #451764)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Jul 2010 09:19:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 %:
 	dh $*
 
+override_dh_auto_test:
+ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	unset NO_PKG_MANGLE; test/run -v
+endif

## pkgbinarymangler 75~common1

=== debian/changelog ===
pkgbinarymangler (75~common1) lucid; urgency=low

  * Sync to maverick to pick up component testing bug fix.
  * Drop the oem-common delta. We do not need the OEM project blacklist after
    all, since project PPAs do not include the common PPA at build time. So
    pkgbinarymangler needs to be explicitly copied into every project PPA
    which wants to use translation stripping.

 -- Martin Pitt <martin.pitt@canonical.com>  Fri, 16 Jul 2010 09:07:16 +0200

pkgbinarymangler (75) maverick; urgency=low

  * test/run: Add new method check_deb_integrity() which confirms that
    dpkg-deb can extract the generated debs without messages or errors. This
    catches the regression introduced in version 71 that broke apt. Call this
    from various test cases.
  * pkgstriptranslations: Filter out PPA entries from apt-cache madison
    entries. If the package is also in this or a depending PPA, that will
    cause a "main" entry.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 16 Jul 2010 09:04:19 +0200

pkgbinarymangler (74) maverick; urgency=low

  * pkgstriptranslations: Fix another typo. Bah.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jul 2010 12:10:22 +0200

pkgbinarymangler (73) maverick; urgency=low

  * test/run: Check precise format of generated Installed-Size:.
  * pkgstriptranslations: du splits with a tab, not a space, fix extraction of
    new size to not contain tabs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jul 2010 12:01:16 +0200

pkgbinarymangler (72) maverick; urgency=low

  * Move identification/version string from dpkg-deb to pkgstriptranslations,
    having it in dpkg-deb also causes changed apt output (which is confusing).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jul 2010 11:53:13 +0200

pkgbinarymangler (71) maverick; urgency=low

  * dpkg-deb: Print identification and version number, to ease debugging of
    failed builds.
  * debian/rules: Insert current version number into dpkg-deb script.
  * test/run: Add test case for building a language pack, which must not be
    touched by pkgstriptranslations.
  * test/run: Ignore system apt sources, otherwise we'll break some tests if
    we run them in an OEM buildd environment.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 15 Jul 2010 09:59:00 +0200

## pkgbinarymangler 75~common1hedley1

=== debian/changelog ===
pkgbinarymangler (75~common1hedley1) lucid; urgency=low

  * No change. Add hedley version to override common version. This is to
    workaround ppa copy issue (from common to hedley) that resulted in
    different checksums.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Wed, 11 Aug 2010 20:37:30 -0400

=== test/icecream/debian/changelog ===
icecream (1) testsuite; urgency=low

  * Initial release.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 06 Jul 2010 15:15:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: pkgbinarymangler
 Section: devel
 Priority: extra
-Build-Depends: debhelper (>= 7)
-Maintainer: Martin Pitt <martin.pitt@canonical.com>
-Uploaders: Adam Conrad <adconrad@canonical.com>
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.0.50~),
+               python,
+               fakeroot
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Standards-Version: 3.9.0
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/pkgbinarymangler/ubuntu
 
 Package: pkgbinarymangler

=== test/icecream/debian/control ===
Source: icecream
Section: games
Priority: extra
Maintainer: Joe User <joe@example.com>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.0

Package: vanilla
Architecture: all
Description: vanilla
 vanilla

Package: chocolate
Architecture: any
Description: chocolate
 chocolate

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell dpkg-parsechangelog | sed -n '/^Version:/ { s/^Version: //; p}')

# do not mangle ourselves, in case the previous version caused FTBFS
export NO_PKG_MANGLE=1

%:
	dh $*

override_dh_install:
	dh_install
	sed -i 's/#VERSION#/$(VERSION)/' debian/pkgbinarymangler/usr/bin/pkgstriptranslations

override_dh_auto_test:
ifeq (, $(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	unset NO_PKG_MANGLE; test/run -v
endif

=== test/icecream/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

binary: build
	make install DESTDIR=debian/tmp
	dh_install
	dh_installdocs
	dh_gencontrol
	dh_builddeb

## pkgbinarymangler 95

=== test/icecream/Makefile ===
--- 
+++ 
@@ -10,4 +10,17 @@
 	    done; \
 	done
 
+	install -D foo%.png $$DESTDIR/usr/share/icecream/foo%.png
+	ln -s foo%.png $$DESTDIR/usr/share/icecream/foolink.png
+	install -D notapng.png $$DESTDIR/usr/share/icecream/notapng.png
+
+	install -d $$DESTDIR/usr/share/applications/ $$DESTDIR/usr/lib/bonobo/servers/ $$DESTDIR/usr/share/polkit-1/actions/ $$DESTDIR/usr/share/gconf/schemas
+	install -m 644 data/*.desktop $$DESTDIR/usr/share/applications/
+	install -m 644 data/*.server $$DESTDIR/usr/lib/bonobo/servers/
+	install -m 644 data/*.policy $$DESTDIR/usr/share/polkit-1/actions/
+	install -m 644 data/*.schemas $$DESTDIR/usr/share/gconf/schemas
+
+clean:
+	rm -f test
+
 .PHONY: clean

=== debian/changelog ===
pkgbinarymangler (95) natty; urgency=low

  * Build-dep on intltool as needed for the testsuite
    (dh-translations binary package already depends on it)

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 01 Apr 2011 00:03:47 +0200

pkgbinarymangler (94) natty; urgency=low

  * dh_translations:
    - support cmake package as there is no makefile in the po dir neither
      setup.cfg. Try to grep the domain from CMakeLists.txt and force it in the
      intltool call.
    - add the cmake testcase in test/run

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 30 Mar 2011 20:44:15 +0200

pkgbinarymangler (93) natty; urgency=low

  * When mangling changelogs, make sure to recompress with gzip -n;
    otherwise the resulting file is different for each build, so not
    compatible with multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Mar 2011 01:41:43 -0700

pkgbinarymangler (92) natty; urgency=low

  * Add debhelper script for handling translation operations. This makes it
    possible to have properly i18n'ed packages that don't use cdbs without
    introducing complicated build system changes. (LP: #735934)
    - test/icecream: Add po/ dir with an example po/*.po, *.desktop, *.server,
      *.policy, *.schemas files, and a Makefile which generates the pot.
    - Add dh_translations: debhelper script. Port the logic from
      /usr/share/cdbs/1/rules/langpack.mk.
    - test/run: Add test_dh_translations() test case.
    - debian/control, debian/dh-translations.install: Install dh_translations.
    - debian/rules: Build and install manpage from dh_translations POD.
  * test/icecream/debian/rules: Simplify using an override.
  * Add translations.pm: debhelper sequencer. Switch
    test/icecream/debian/rules to use --with translations instead of calling
    dh_translations directly. Point to local translations.pm in test/run
    setup.
  * dh_translations: Try getting domain from Python setup.cfg if po/Makefile
    does not exist.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 17 Mar 2011 12:25:09 +0100

pkgbinarymangler (91) natty; urgency=low

  * dpkg-deb: also skip parsing /CurrentlyBuilding and debian/control if
    NO_PKG_MANGLE is non-empty as e.g. grep-ing control might trigger warnings
    in some testsuites.

 -- Loïc Minier <loic.minier@linaro.org>  Wed, 19 Jan 2011 18:07:33 +0100

pkgbinarymangler (90) natty; urgency=low

  * test/icecream/debian/rules: Install a "changes" directory below
    /usr/share/doc/. This reproduces the build failure of texlive-extra.
  * pkgstripfiles: Only consider files which have a changelog-like name.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 22 Dec 2010 17:08:55 +0100

pkgbinarymangler (89) natty; urgency=low

  * pkgstripfiles: Games are prone to rely on a particular PNG image format,
    so skip PNG optimization for "Section: games". Add test case.
    (LP: #685421)
  * pkgstripfiles: Also skip PNG squashing if $NO_PNG_PKG_MANGLE is set; this
    allows packages to selectively disable PNG optimization without disabling
    the other parts of pkgbinarymangler. Add test case.
  * debian/control: Bump Standards-Version to 3.9.1 (no changes necessary).

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 10 Dec 2010 10:50:46 +0100

pkgbinarymangler (88) natty; urgency=low

  * test/run: Use "foo%.png" instead of foo.png, to check that file names with
    percent signs are handled correctly. This reproduces LP #684569.
  * pkgstripfiles: Escape percent characters in file names, to avoid breaking
    the sed expression. (LP: #684569)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 09 Dec 2010 12:38:37 +0100

pkgbinarymangler (87) natty; urgency=low

  * Tweak shell syntax in dpkg-deb and also pass "$@" to pkgstriptranslations
    to simplify tests a bit.

 -- Loïc Minier <loic.minier@ubuntu.com>  Thu, 25 Nov 2010 15:37:40 +0100

pkgbinarymangler (86) natty; urgency=low

  [ Soren Hansen ]
  * Ensure arguments get passed through dpkg-deb wrapper unmangled.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 25 Nov 2010 15:28:14 +0100

pkgbinarymangler (85) natty; urgency=low

  * pkgstriptranslations: In truncated changelogs, point to "apt-get
    changelog" instead of the obsolete "apt-changelog". Update test cases
    accordingly.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 18 Nov 2010 16:15:29 +0100

pkgbinarymangler (84) natty; urgency=low

  * pkgstripfiles: Don't remove Debian changelogs if they are broken symlinks
    (as they are with multi-binary packages during build, since they point to
    the location in an installed system). Thanks Colin Watson!

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Nov 2010 13:01:03 +0100

pkgbinarymangler (83) natty; urgency=low

  * test/icecream: Install an additional symbolic link "foolink.png" to
    "foo.png".
  * test/run, check_deb_integrity(): Verify that foolink.png remains a
    symbolic link.
  * pkgstripfiles: Ignore symbolic links for PNG compression. They mess up the
    careful "symlink identical help files" work from pkgstriptranslations and
    actually lead to bigger packages.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 12 Nov 2010 13:18:49 +0100

pkgbinarymangler (82) natty; urgency=low

  * test/run: Fix "check for stripped files" test for PPA builds, we expect
    those to not get modified.
  * test/run: Check that changelogs in PPAs do not get truncated.
  * pkgstripfiles: Do not run for non-OEM PPA builds.
  * test/run: Add the same short/long checks for changelogs of native
    packages.
  * pkgstripfiles: For native packages, keep changelog.gz and truncate it like
    the Debian changelog.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 11 Nov 2010 13:14:09 +0100

pkgbinarymangler (81) natty; urgency=low

  * pkgstripfiles: Remove more changelog naming variants.
  * test/icecream/debian/changelog: Add a lot more older changelog entries,
    for testing the truncation.
  * test/run: Check that short Debian changelogs remain unaltered, and that


=== debian/control ===
--- 
+++ 
@@ -2,16 +2,24 @@
 Section: devel
 Priority: extra
 Build-Depends: debhelper (>= 7.0.50~),
+               perl,
+               dh-buildinfo,
                python,
-               fakeroot
+               fakeroot,
+               optipng,
+               advancecomp,
+               imagemagick,
+               intltool
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/pkgbinarymangler/ubuntu
 
 Package: pkgbinarymangler
 Architecture: all
 Depends: ${misc:Depends},
-         lockfile-progs
+         lockfile-progs,
+         advancecomp,
+         optipng
 Description: strips translations and alters maintainers during build
  pkgbinarymangler consists of a dpkg-deb wrapper that calls the following
  helper applications while building a debian binary package:
@@ -27,3 +35,18 @@
  maintainer name, etc) defined in the pkgmaintainermangler configuration
  file at /etc/pkgbinarymangler/maintainermangler.conf.
 
+Package: dh-translations
+Architecture: all
+Depends: ${misc:Depends},
+         debhelper,
+         intltool
+Description: debhelper extension for translation support
+ This package provides a debhelper extension to perform common translation
+ related operations during package build:
+ .
+  * Try to build a current PO template.
+ .
+  * Remove inline translations from *.desktop, *.server, *.schemas, and
+    *.policy files and replace them with a link to the gettext domain, so that
+    strings in them will get translated at runtime from *.mo files. This allows
+    language packs to ship updated translations.

=== test/icecream/debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with translations

override_dh_install:
	dh_install
	dh_buildinfo
